Loading...
Searching...
No Matches
CAutoMush Class Reference
Inheritance diagram for CAutoMush:
[legend]

## Public Member Functions

| CAutoMush (COldObject *object)
void | DeleteObject (bool bAll=false) override
void | Init () override
bool | EventProcess (const Event &event) override
Error | GetError () override
bool | Write (CLevelParserLine *line) override
bool | Read (CLevelParserLine *line) override
Public Member Functions inherited from CAuto
| CAuto (COldObject *object)
virtual void | Start (int param)
virtual Error | IsEnded ()
virtual bool | Abort ()
virtual Error | StartAction (int param)
virtual bool | SetType (ObjectType type)
virtual bool | SetValue (int rank, float value)
virtual bool | SetString (char *string)
virtual bool | CreateInterface (bool bSelect)
virtual bool | GetBusy ()
virtual void | SetBusy (bool busy)
virtual void | InitProgressTotal (float total)
virtual void | EventProgress (float rTime)
virtual bool | GetMotor ()
virtual void | SetMotor (bool bMotor)

## Protected Member Functions

bool | SearchTarget ()
Protected Member Functions inherited from CAuto
void | CheckInterface (Ui::CWindow *pw, EventType event, bool bState)
void | EnableInterface (Ui::CWindow *pw, EventType event, bool bState)
void | VisibleInterface (Ui::CWindow *pw, EventType event, bool bState)
void | DeadInterface (Ui::CWindow *pw, EventType event, bool bState)
void | UpdateInterface ()
void | UpdateInterface (float rTime)

## Protected Attributes

AutoMushPhase | m_phase = AMP_WAIT
float | m_progress = 0.0f
float | m_speed = 0.0f
float | m_lastParticle = 0.0f
Protected Attributes inherited from CAuto
CEventQueue * | m_eventQueue = nullptr
Gfx::CEngine * | m_engine = nullptr
Gfx::CParticle * | m_particle = nullptr
Gfx::CTerrain * | m_terrain = nullptr
Gfx::CWater * | m_water = nullptr
Gfx::CCloud * | m_cloud = nullptr
Gfx::CPlanet * | m_planet = nullptr
Gfx::CLightning * | m_lightning = nullptr
Gfx::CCamera * | m_camera = nullptr
Ui::CInterface * | m_interface = nullptr
CRobotMain * | m_main = nullptr
COldObject * | m_object = nullptr
CSoundInterface * | m_sound = nullptr
ObjectType | m_type = OBJECT_NULL
bool | m_bBusy = false
bool | m_bMotor = false
float | m_time = 0.0f
float | m_lastUpdateTime = 0.0f
float | m_progressTime = 0.0f
float | m_progressTotal = 0.0f

## Member Function Documentation

## DeleteObject()

void CAutoMush::DeleteObject | ( | bool | bAll = false | ) |

override virtual

Reimplemented from CAuto.

## Init()

void CAutoMush::Init | ( |  | ) |

override virtual

Reimplemented from CAuto.

## EventProcess()

bool CAutoMush::EventProcess | ( | const Event & | event | ) |

override virtual

Reimplemented from CAuto.

## GetError()

Error CAutoMush::GetError | ( |  | ) |

override virtual

Reimplemented from CAuto.

## Write()

bool CAutoMush::Write | ( | CLevelParserLine * | line | ) |

override virtual

Reimplemented from CAuto.

## Read()

bool CAutoMush::Read | ( | CLevelParserLine * | line | ) |

override virtual

Reimplemented from CAuto.

The documentation for this class was generated from the following files:

- src/object/auto/automush.h
- src/object/auto/automush.cpp